API EndpointsCredits
Retrieve credit ledger entries for customer.
This endpoint is used to retrieve the credit ledger entries for a specific customer.
Authorization
BearerAuthorizer AuthorizationBearer <token>
In: header
Query Parameters
customerId*string
limit?number
cursor?string
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/credits?customerId=string"{ "entries": [ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "type": "Grant", "amount": 0, "balanceAfterEntry": 0, "invoiceId": "string", "erpId": "string", "contractId": "string", "integrationEntities": [ { "updatedAt": "2019-08-24T14:15:22Z", "integrationProvider": "Hubspot", "integrationExternalId": "string", "syncStatus": "None", "metadata": { "property1": null, "property2": null }, "rawSyncedData": { "property1": null, "property2": null } } ] } ]}{ "type": "invalid_request_error", "code": "string", "message": "string", "param": "string", "params": [ { "param": "string", "message": "string" } ]}{ "type": "authentication_error", "code": "authentication_failed", "message": "string"}{ "type": "rate_limit_error", "code": "rate_limit_exceeded", "message": "string"}{ "type": "api_error", "code": "internal_error", "message": "string"}Delete an event by refId DELETE
Use this endpoint to remove a specific event using its reference ID.
Grant credits to a customer credit ledger POST
This endpoint is used to grant credits to a customer. Submit the credit amount and customer ID in the request body to grant the credits. The granted credits will be added to the customer's account.

